summaryrefslogtreecommitdiff
path: root/wfpc2tools
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@users.noreply.github.com>2016-08-23 20:18:33 -0400
committerGitHub <noreply@github.com>2016-08-23 20:18:33 -0400
commit91e59f3ebcfe0b824bd2ecba743ec25c41430427 (patch)
tree4bec8118c98c3c2bc5ee23772a6c9e71db7cc240 /wfpc2tools
parent545448ec63743c57b9fefcd572ff6d79d9dcf3a3 (diff)
downloadastroconda-contrib-91e59f3ebcfe0b824bd2ecba743ec25c41430427.tar.gz
Remove or silence 2to3 execution (#55)
Diffstat (limited to 'wfpc2tools')
-rw-r--r--wfpc2tools/build.sh21
1 files changed, 10 insertions, 11 deletions
diff --git a/wfpc2tools/build.sh b/wfpc2tools/build.sh
index 6313265..5626890 100644
--- a/wfpc2tools/build.sh
+++ b/wfpc2tools/build.sh
@@ -5,15 +5,15 @@ python --version 2>&1| awk '{sub(/-.*/,"",$2);print $2}'
export -f get_py_version
function set_py3k() {
-version=`get_py_version`
-major=`echo $version | cut -d '.' -f 1`
-minor=`echo $version | cut -d '.' -f 2`
-hotfix=`echo $version | cut -d '.' -f 3`
-if (( major > 2 )); then
-export PY3K=1
-else
-export PY3K=0
-fi
+ version=`get_py_version`
+ major=`echo $version | cut -d '.' -f 1`
+ minor=`echo $version | cut -d '.' -f 2`
+ hotfix=`echo $version | cut -d '.' -f 3`
+ if (( major > 2 )); then
+ export PY3K=1
+ else
+ export PY3K=0
+ fi
}
export -f set_py3k
@@ -24,7 +24,6 @@ pip install --no-deps --upgrade --force d2to1 || exit 1
echo "This doesn't work. Why conda why? --python 2.7 is useless here"
if [ $PY3K -ne 0 ] ; then
sed -i -e "s|stsci.distutils.hooks.tag_svn_revision|#removed|" setup.cfg
-2to3 -w .
fi
-python setup.py install || exit 1 \ No newline at end of file
+python setup.py install || exit 1